Geocoder 4.0.0 发布,PHP 移动定位应用开发库 - 开源中国社区
Float_left Icon_close
Geocoder 4.0.0 发布,PHP 移动定位应用开发库
王练 2017年08月02日

Geocoder 4.0.0 发布,PHP 移动定位应用开发库

王练 王练 发布于2017年08月02日 收藏 25

阿里云高性能云服务器,2折起! >>> >>>  

Geocoder 4.0.0 正式版发布,Geocoder 是一个 PHP 开发库,帮助你构建移动定位应用,提供一个强大的地理编码操作的抽象层。

更新内容:

  • 不再支持 PHP < 7

  • 引入 GeocodeQuery 和 ReverseQuery.

  • Provider 和 Geocoder 接口已更新以使用查询对象

  • 所有 providers 是无状态的和不可变的

  • 将所有 providers 移动到新的命名空间

  • 新增:Geocoder \ Model \ AddressCollection 接口调用 Geocoder \ Collection

  • 新增:Geocoder\Model\Address 接口调用 Geocoder\Location

  • 新增:GeoArray dumper

  • 新增:Collection::isEmpty

  • 更改:Location::getCoordinates 将返回 null 或坐标数据的坐标对象。

  • 更改: Location::getBounds 将返回 null 或带有坐标数据的 Bounds 对象。

  • 更改:  删除不安全传输协议的支持。providers 只支持 HTTPS

  • 更改: 使用 PSR-4 而不是 PSR-0 进行自动加载

完整更新内容可查阅发行日志

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Geocoder 4.0.0 发布,PHP 移动定位应用开发库
分享
评论(3)
精彩评论
1
丢脸:原文明明是,Dropped support for PHP < 7。
最新评论
1
丢脸:原文明明是,Dropped support for PHP < 7。
0
哈哈,这个搞笑了。
0
支持的PHP版本小于7?
顶部